Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class FileResourceValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.FileResourceValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

    public class FileResourceValidator

extends java.lang.Object
implements org.springframework.validation.Validator

Constructor Summary
`FileResourceValidator()`

Method Summary
`RepositoryService` | `getRepository()`
`void` | `setRepository(RepositoryService repository)`
`boolean` | `supports(java.lang.Class clazz)`
`void` | `validate(java.lang.Object arg0, org.springframework.validation.Errors arg1)`
`void` | `validateNaming(FileResourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateUpload(FileResourceWrapper wrapper, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileResourceValidator

    public FileResourceValidator()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`

### validate

    public void validate(java.lang.Object arg0,
                         org.springframework.validation.Errors arg1)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`

### validateNaming

    public void validateNaming(FileResourceWrapper wrapper,
                               org.springframework.validation.Errors errors)

### validateUpload

    public void validateUpload(FileResourceWrapper wrapper,
                               org.springframework.validation.Errors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.